List the document tree
View as MarkdownGET
/v1/workspaces/{workspaceId}/treeLists documents depth-first in tree order. With rootId, lists that document's descendants only.
docs:readRead-only
curl "https://api.lydie.co/v1/workspaces/01JCQ3TZ0WJ8K4M2X7T9R6N1PA/tree" \
-H "Authorization: Bearer $LYDIE_TOKEN"Path parameters
Query parameters
- rootIdULID
- includeDeletedboolean
Default
false
Response
- entriesTreeEntry[]
Show 14 fieldsHide fields
- idULID
- propertiesobject
- createdAttimestamp
- updatedAttimestamp
- depthinteger
0 for the top level of the listed tree.
{
"entries": [
{
"id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
"workspaceId": "01JCQ3TZ0WJ8K4M2X7T9R6N1PA",
"parentId": null,
"title": "Meeting notes",
"sortKey": "a0",
"properties": {
"status": "draft"
},
"createdAt": "2026-11-12T09:30:00.000Z",
"updatedAt": "2026-11-12T09:30:00.000Z",
"deletedAt": null,
"createdBy": null,
"updatedBy": null,
"depth": 0,
"teamspaceId": null,
"privateOwnerId": null
}
]
}Errors use one envelope for every endpoint. See Errors and versions.